const fs = require('fs')
const configFile = require('../../../config/OutLogConfig')
const path = require('path')
class OutLogger {
    log(message, params){
        //TODO Get the path we will save the logger and prepare to receibe data
        let logFile = ''
        let now = new Date()
        //let DateTimeValue = now.toLocaleString()
        let TimeValue = now.toLocaleTimeString()
        let logPath = configFile.getFilePath()
        if(!fs.existsSync( logPath )){
            if(!fs.existsSync(path.dirname(logPath))){
                fs.mkdirSync(path.dirname(logPath), {recursive: true})
            }
            fs.writeFileSync(logPath,'')
            logFile = ''
        } else {
            logFile = fs.readFileSync(logPath)
        }
        
        logFile += `${TimeValue}    ${message} \r\n`
        fs.writeFileSync( logPath, logFile )
    }
}

module.exports = new OutLogger()