const OracleService = require("../service/OracleService");

class adqVerifEndeConsModel {
  constructor() {
    this.GET_ADQVERIFENDECONS = `
            SELECT CDCLIENTE, CDCONSUMIDOR, CDENDECONS, DTULTATU
              FROM ENDECONS
             WHERE CDCLIENTE    = :P_CDCLIENTE
               AND CDCONSUMIDOR = :P_CDCONSUMIDOR
               AND CDENDECONS   = :P_CDENDECONS
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFENDECONS, params);
    });
  }
}

module.exports = new adqVerifEndeConsModel();
