const path = require('path');
const logPath = 'C:/Odhen/odhen-assistant-master-logs';

class OutLogConfig {
  constructor() {
    // this.prePath = path.join(__dirname, '..', 'log');
    this.prePath = logPath;
    this.fileName = 'output.log';
  }

  getFilePath(cdfilial) {
    const date = new Date();
    const filial = cdfilial ? cdfilial : 'UNDEFINED';
    const year = date.getFullYear();
    const month = (date.getMonth() + 1).toString().padStart(2, '0');
    const day = date.getDate().toString().padStart(2, '0');
    const dbName = process.argv[2] ? process.argv[2] : 'UNDEFINED';
    // prettier-ignore
    return path.join(this.prePath,`${dbName}/${filial}/${year}/${month}/${day}/${this.fileName}`);
  }
}

module.exports = new OutLogConfig();
